    /**************** JobW include file ****************/

    covergroup cache_cover @ (posedge p0.CLK);

        hit_cov: coverpoint hit iff (!pstrb) {
            bins s0   = {4'b0001};
            bins s1   = {4'b0010};
            bins s2   = {4'b0100};
            bins s3   = {4'b1000};
        }

        miss_cov: coverpoint hit iff (!pstrb) {
            bins miss = {4'b0000};
        }

        rw_cov: coverpoint prw iff (!pstrb) {
            bins write = {0};
            bins read  = {1};
        }

        eaddr_cov: coverpoint paddr[4:0] iff (!pstrb);

        cache_miss: cross eaddr_cov, miss_cov {
            option.at_least = 5;
            type_option.weight = 5;
        }

        hit_once: cross  rw_cov, hit_cov, eaddr_cov  {
            type_option.weight = 10;
        }

    endgroup

    cache_cover cov1 = new;